OpenVDB: Morphology< TreeType >::LeafCache Struct Reference

OpenVDB 8.0.0

Public Member Functions | Public Attributes | List of all members
Morphology< TreeType >::LeafCache Struct Reference

`#include <Morphology.h>`

## Public Member Functions
| LeafCache (size_t n, TreeType &tree)
| ~LeafCache ()
LeafType *& | operator[] (int offset)
void | clear ()
void | setOrigin (const Coord &xyz)
void | scatter (int n, int indx)
template<int DX, int DY, int DZ>
void | scatter (int n, int indx)
Word | gather (int n, int indx)
template<int DX, int DY, int DZ>
Word | gather (int n, int indx)
void | scatterFacesXY (int x, int y, int i1, int n, int i2)
void | scatterEdgesXY (int x, int y, int i1, int n, int i2)
Word | gatherFacesXY (int x, int y, int i1, int n, int i2)
Word | gatherEdgesXY (int x, int y, int i1, int n, int i2)

## Public Attributes
const Coord * | origin
size_t | size
LeafType ** | leafs
LeafType | onTile
LeafType | offTile
AccessorType | acc
Word | mask

## Constructor & Destructor Documentation

## ◆ LeafCache()

LeafCache | ( | size_t | n,
|  | TreeType & | tree
| ) |  |
| inline

## ◆ ~LeafCache()

~LeafCache | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

## ◆ gather() [1/2]

Word gather | ( | int | n,
|  | int | indx
| ) |  |
| inline

## ◆ gather() [2/2]

Word gather | ( | int | n,
|  | int | indx
| ) |  |
| inline

## ◆ gatherEdgesXY()

Morphology< TreeType >::Word gatherEdgesXY | ( | int | x,
|  | int | y,
|  | int | i1,
|  | int | n,
|  | int | i2
| ) |  |
| inline

## ◆ gatherFacesXY()

Morphology< TreeType >::Word gatherFacesXY | ( | int | x,
|  | int | y,
|  | int | i1,
|  | int | n,
|  | int | i2
| ) |  |
| inline

## ◆ operator[]()

LeafType*& operator[] | ( | int | offset | ) |
| inline

## ◆ scatter() [1/2]

void scatter | ( | int | n,
|  | int | indx
| ) |  |
| inline

## ◆ scatter() [2/2]

void scatter | ( | int | n,
|  | int | indx
| ) |  |
| inline

## ◆ scatterEdgesXY()

void scatterEdgesXY | ( | int | x,
|  | int | y,
|  | int | i1,
|  | int | n,
|  | int | i2
| ) |  |
| inline

## ◆ scatterFacesXY()

void scatterFacesXY | ( | int | x,
|  | int | y,
|  | int | i1,
|  | int | n,
|  | int | i2
| ) |  |
| inline

## ◆ setOrigin()

void setOrigin | ( | const Coord & | xyz | ) |
| inline

## Member Data Documentation

## ◆ acc

AccessorType acc

## ◆ leafs

LeafType** leafs

## ◆ mask

Word mask

## ◆ offTile

LeafType offTile

## ◆ onTile

LeafType onTile

## ◆ origin

const Coord* origin

## ◆ size

size_t size

The documentation for this struct was generated from the following file:

- Morphology.h